# Sponge Case

[![NPM version][npm-image]][npm-url]
[![NPM downloads][downloads-image]][downloads-url]
[![Bundle size][bundlephobia-image]][bundlephobia-url]

> Transform into a string with random capitalization applied.

## Installation

```
npm install sponge-case --save
```

## Usage

```js
import { spongeCase } from "sponge-case";

spongeCase("string"); //=> "sTrinG"
spongeCase("dot.case"); //=> "dOt.caSE"
spongeCase("PascalCase"); //=> "pASCaLCasE"
spongeCase("version 1.2.10"); //=> "VErSIoN 1.2.10"
```

**Note:** Capitalization outcomes are random.

## License

MIT

[npm-image]: https://img.shields.io/npm/v/sponge-case.svg?style=flat
[npm-url]: https://npmjs.org/package/sponge-case
[downloads-image]: https://img.shields.io/npm/dm/sponge-case.svg?style=flat
[downloads-url]: https://npmjs.org/package/sponge-case
[bundlephobia-image]: https://img.shields.io/bundlephobia/minzip/sponge-case.svg
[bundlephobia-url]: https://bundlephobia.com/result?p=sponge-case
